2018-11-14 23:23 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005313Talerbank (demonstrator)public2018-06-12 09:01
ReporterTorsten Grothoff 
Assigned ToMarcello Stanisci 
PriorityimmediateSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005313: Bad error handling // Info exposing error when giving account transfer an Intiger overflow
DescriptionSee attatched file.
Change format of
Exposes:
1.User Running the server on the server's machine
2.Exact File location of the server's Weak spot(where the error lies)
Steps To ReproduceGive the value of Kudos when transfering to another account an intiger overflow
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0012920

Marcello Stanisci (manager)

0ff63bf08ff3ffb fixes this. Moreover, it checks whether numbers to be
parsed are bigger than the well known JavaScript limit of 2^53 - 1, and
aborts everything in that case.
+Notes

-Issue History
Date Modified Username Field Change
2018-03-27 18:10 Torsten Grothoff New Issue
2018-03-27 18:10 Torsten Grothoff Status new => assigned
2018-03-27 18:10 Torsten Grothoff Assigned To => Marcello Stanisci
2018-03-27 18:14 Christian Grothoff File Added: Intiger overflow(Input field) Gives an error that should look different.html
2018-03-27 18:14 Christian Grothoff Product Version => SVN HEAD
2018-03-27 18:14 Christian Grothoff Target Version => 0.6
2018-05-02 15:16 Marcello Stanisci Note Added: 0012920
2018-05-02 15:17 Marcello Stanisci Status assigned => resolved
2018-05-02 15:17 Marcello Stanisci Resolution open => fixed
2018-06-12 09:01 Christian Grothoff Fixed in Version => 0.6
+Issue History